Loading...
Searching...
No Matches
hack_array_seq_rep< T, A >

## Detailed Description

template<class T, class A>
class rheolef::hack_array_seq_rep< T, A >

Definition at line 78 of file hack_array.h.

Inheritance diagram for hack_array_seq_rep< T, A >:

## Public Types

typedef disarray_rep< typename T::raw_type, sequential, A > | base
typedef T | raw_value_type
typedef T::generic_type | value_type
typedef T::generic_type | generic_value_type
typedef T::automatic_type | automatic_value_type
typedef A | allocator_type
typedef T::parameter_type | parameter_type
typedef generic_value_type::raw_type | raw_type
typedef base::size_type | size_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef reference | dis_reference
typedef sequential | memory_type
typedef hack_array_iterator< generic_value_type, generic_value_type &, generic_value_type *, raw_type, raw_type * > | iterator
typedef hack_array_iterator< generic_value_type, const generic_value_type &, const generic_value_type *, raw_type, const raw_type * > | const_iterator

## Public Member Functions

| hack_array_seq_rep (const A &alloc=A())
| hack_array_seq_rep (const distributor &ownership, const parameter_type &param, const A &alloc=A())
void | resize (const distributor &ownership, const parameter_type &param)
| hack_array_seq_rep (size_type n, const parameter_type &param, const A &alloc=A())
void | resize (size_type n, const parameter_type &param)
A | get_allocator () const
const distributor & | ownership () const
const communicator & | comm () const
size_type | size () const
size_type | dis_size () const
const generic_value_type & | operator[] (size_type ie) const
generic_value_type & | operator[] (size_type ie)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
idiststream & | get_values (idiststream &ips)
odiststream & | put_values (odiststream &ops) const
template<class GetFunction>
idiststream & | get_values (idiststream &ips, GetFunction get_element)
template<class PutFunction>
odiststream & | put_values (odiststream &ops, PutFunction put_element) const

## Protected Member Functions

void | _init (const distributor &ownership, const parameter_type &param)

## Protected Attributes

distributor | _ownership
parameter_type | _parameter
size_type | _value_size
size_type | _data_size

## Member Typedef Documentation

## base

template<class T, class A>

typedef disarray_rep<typename T::raw_type, sequential, A> base

Definition at line 83 of file hack_array.h.

## raw_value_type

template<class T, class A>

typedef T raw_value_type

Definition at line 84 of file hack_array.h.

## value_type

template<class T, class A>

typedef T::generic_type value_type

Definition at line 85 of file hack_array.h.

## generic_value_type

template<class T, class A>

typedef T::generic_type generic_value_type

Definition at line 86 of file hack_array.h.

## automatic_value_type

template<class T, class A>

typedef T::automatic_type automatic_value_type

Definition at line 87 of file hack_array.h.

## allocator_type

template<class T, class A>

typedef A allocator_type

Definition at line 88 of file hack_array.h.

## parameter_type

template<class T, class A>

typedef T::parameter_type parameter_type

Definition at line 89 of file hack_array.h.

## raw_type

template<class T, class A>

typedef generic_value_type::raw_type raw_type

Definition at line 90 of file hack_array.h.

## size_type

template<class T, class A>

typedef base::size_type size_type

Definition at line 91 of file hack_array.h.

## reference

template<class T, class A>

typedef value_type& reference

Definition at line 92 of file hack_array.h.

## const_reference

template<class T, class A>

typedef const value_type& const_reference

Definition at line 93 of file hack_array.h.

## dis_reference

template<class T, class A>

typedef reference dis_reference

Definition at line 94 of file hack_array.h.

## memory_type

template<class T, class A>

typedef sequential memory_type

Definition at line 95 of file hack_array.h.

## iterator

template<class T, class A>

typedef hack_array_iterator<generic_value_type, generic_value_type&, generic_value_type*, raw_type, raw_type*> iterator

Definition at line 98 of file hack_array.h.

## const_iterator

template<class T, class A>

typedef hack_array_iterator<generic_value_type, const generic_value_type&, const generic_value_type*, raw_type, const raw_type*> const_iterator

Definition at line 100 of file hack_array.h.

## Constructor & Destructor Documentation

## hack_array_seq_rep() [1/3]

template<class T, class A>

hack_array_seq_rep | ( | const A & | alloc = A() | ) |

Definition at line 28 of file hack_array_seq.icc.

## hack_array_seq_rep() [2/3]

template<class T, class A>

hack_array_seq_rep | ( | const distributor & | ownership,
|  | const parameter_type & | param,
|  | const A & | alloc = A() )

Definition at line 37 of file hack_array_seq.icc.

## hack_array_seq_rep() [3/3]

template<class T, class A>

hack_array_seq_rep | ( | size_type | n,
|  | const parameter_type & | param,
|  | const A & | alloc = A() )

Definition at line 47 of file hack_array_seq.icc.

## Member Function Documentation

## resize() [1/2]

template<class T, class A>

void resize | ( | const distributor & | ownership,
|  | const parameter_type & | param )

Definition at line 58 of file hack_array_seq.icc.

## resize() [2/2]

template<class T, class A>

void resize | ( | size_type | n,
|  | const parameter_type & | param )

Definition at line 68 of file hack_array_seq.icc.

## get_allocator()

template<class T, class A>

A get_allocator | ( |  | ) | const

Definition at line 112 of file hack_array.h.

## ownership()

template<class T, class A>

const distributor & ownership | ( |  | ) | const

Definition at line 113 of file hack_array.h.

## comm()

template<class T, class A>

const communicator & comm | ( |  | ) | const

Definition at line 114 of file hack_array.h.

## size()

template<class T, class A>

size_type size | ( |  | ) | const

Definition at line 115 of file hack_array.h.

## dis_size()

template<class T, class A>

size_type dis_size | ( |  | ) | const

Definition at line 116 of file hack_array.h.

## operator[]() [1/2]

template<class T, class A>

const generic_value_type & operator[] | ( | size_type | ie | ) | const

Definition at line 117 of file hack_array.h.

## operator[]() [2/2]

template<class T, class A>

generic_value_type & operator[] | ( | size_type | ie | ) |

Definition at line 122 of file hack_array.h.

## begin() [1/2]

template<class T, class A>

iterator begin | ( |  | ) |

Definition at line 127 of file hack_array.h.

## begin() [2/2]

template<class T, class A>

const_iterator begin | ( |  | ) | const

Definition at line 128 of file hack_array.h.

## end() [1/2]

template<class T, class A>

iterator end | ( |  | ) |

Definition at line 129 of file hack_array.h.

## end() [2/2]

template<class T, class A>

const_iterator end | ( |  | ) | const

Definition at line 130 of file hack_array.h.

## get_values() [1/2]

template<class T, class A>

idiststream & get_values | ( | idiststream & | ips | ) |

Definition at line 120 of file hack_array_seq.icc.

## put_values() [1/2]

template<class T, class A>

odiststream & put_values | ( | odiststream & | ops | ) | const

Definition at line 107 of file hack_array_seq.icc.

## get_values() [2/2]

template<class T, class A>
template<class GetFunction>

idiststream & get_values | ( | idiststream & | ips,
|  | GetFunction | get_element )

Definition at line 114 of file hack_array_seq.icc.

## put_values() [2/2]

template<class T, class A>
template<class PutFunction>

odiststream & put_values | ( | odiststream & | ops,
|  | PutFunction | put_element ) const

Definition at line 96 of file hack_array_seq.icc.

## _init()

template<class T, class A>

void _init | ( | const distributor & | ownership,
|  | const parameter_type & | param )

protected

Definition at line 78 of file hack_array_seq.icc.

## Member Data Documentation

## _ownership

template<class T, class A>

distributor _ownership

protected

Definition at line 147 of file hack_array.h.

## _parameter

template<class T, class A>

parameter_type _parameter

protected

Definition at line 148 of file hack_array.h.

## _value_size

template<class T, class A>

size_type _value_size

protected

Definition at line 149 of file hack_array.h.

## _data_size

template<class T, class A>

size_type _data_size

protected

Definition at line 150 of file hack_array.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/hack_array.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/hack_array_seq.icc